summaryrefslogtreecommitdiff
path: root/.expeditor/update_version.sh
diff options
context:
space:
mode:
Diffstat (limited to '.expeditor/update_version.sh')
-rwxr-xr-x.expeditor/update_version.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/.expeditor/update_version.sh b/.expeditor/update_version.sh
new file mode 100755
index 00000000..45d317e9
--- /dev/null
+++ b/.expeditor/update_version.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+#
+# After a PR merge, Chef Expeditor will bump the PATCH version in the VERSION file.
+# It then executes this file to update any other files/components with that new version.
+#
+
+set -evx
+
+sed -i -r "s/^(\s*)VERSION = \".+\"/\1VERSION = \"$(cat VERSION)\"/" lib/ohai/version.rb
+
+# Once Expeditor finshes executing this script, it will commit the changes and push
+# the commit as a new tag corresponding to the value in the VERSION file.